package com.liang.service;

import com.liang.entity.StaActualexpenses;
import com.liang.entity.StaTravelexpenses;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * (StaActualexpenses)表服务接口
 *
 * @author makejava
 * @since 2023-05-30 11:38:53
 */
public interface StaActualexpensesService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    StaActualexpenses queryById(Integer id);

    /**
     * 分页查询
     *
     * @param staActualexpenses 筛选条件
     * @param pageRequest       分页对象
     * @return 查询结果
     */
    Page<StaActualexpenses> queryByPage(StaActualexpenses staActualexpenses, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param staActualexpenses 实例对象
     * @return 实例对象
     */
    StaActualexpenses insert(StaActualexpenses staActualexpenses);

    /**
     * 修改数据
     *
     * @param staActualexpenses 实例对象
     * @return 实例对象
     */
    StaActualexpenses update(StaActualexpenses staActualexpenses);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 通过主表删除数据
     *
     * @param zb
     * @return
     */
    int deleteByZb(Integer zb);

    /**
     * 批量删除差旅费
     *
     * @param zbList
     * @return
     */
    int batchDeleteByZb(List<Integer> zbList);

    /**
     * 批量插入差旅费
     *
     * @param expenseList
     * @return
     */
    int insertBatch(List<StaActualexpenses> expenseList);

    /**
     * 获取差旅费列表
     *
     * @return
     */
    List<StaActualexpenses> getClfList(Integer zb);
}
